Module | Fog::Attributes::InstanceMethods
In: | lib/fog/core/attributes.rb

### Methods

_dump attributes dup dup_attributes! identity identity= merge_attributes missing_attributes new_record? requires requires_one

### Public Instance methods

_dump(level)
attributes()
dup()
identity()
identity=(new_identity)
merge_attributes(new_attributes = {})
new_record?()
requires(*args)

check that the attributes specified in args exist and is not nil

requires_one(*args)

### Protected Instance methods

dup_attributes!()
missing_attributes(args)

[Validate]